[arch-commits] Commit in aarch64-linux-gnu-binutils/repos/community-x86_64 (2 files)

Anatol Pomozov anatolik at archlinux.org
Thu Mar 7 15:03:23 UTC 2019


    Date: Thursday, March 7, 2019 @ 15:03:21
  Author: anatolik
Revision: 438013

archrelease: copy trunk to community-x86_64

Added:
  aarch64-linux-gnu-binutils/repos/community-x86_64/PKGBUILD
    (from rev 438012, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
Deleted:
  aarch64-linux-gnu-binutils/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  131 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 65 insertions(+), 66 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-07 15:03:14 UTC (rev 438012)
+++ PKGBUILD	2019-03-07 15:03:21 UTC (rev 438013)
@@ -1,66 +0,0 @@
-# $Id$
-# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
-
-_target=aarch64-linux-gnu
-pkgname=$_target-binutils
-pkgver=2.31.1
-pkgrel=1
-pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
-arch=(x86_64)
-url='https://www.gnu.org/software/binutils/'
-license=(GPL)
-depends=(zlib)
-source=(https://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
-sha1sums=('1c5b0801b4857031d5626d917808cbd5c6401a4b'
-          'SKIP')
-validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93'  # Tristan Gingold <gingold at adacore.com>
-              '3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc at redhat.com>
-
-prepare() {
-  cd binutils-$pkgver
-  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
-}
-
-build() {
-  cd binutils-$pkgver
-
-  if [ "${CARCH}" != "i686" ];
-  then
-    # enabling gold linker at i686 makes the install fail
-    enable_gold='--enable-gold'
-  fi
-
-  ./configure --target=$_target \
-              --with-sysroot=/usr/$_target \
-              --prefix=/usr \
-              --disable-multilib \
-              --with-gnu-as \
-              --with-gnu-ld \
-              --disable-nls \
-              --enable-ld=default \
-              $enable_gold \
-              --enable-plugins \
-              --enable-deterministic-archives
-
-  make
-}
-
-check() {
-  cd binutils-$pkgver
-
-  # unset LDFLAGS as testsuite makes assumptions about which ones are active
-  # do not abort on errors - manually check log files
-  make -k LDFLAGS="" check || true
-}
-
-package() {
-  cd binutils-$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # Remove file conflicting with host binutils and manpages for MS Windows tools
-  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,windres,windmc}*
-
-  # Remove info documents that conflict with host version
-  rm -r "$pkgdir"/usr/share/info
-}

Copied: aarch64-linux-gnu-binutils/repos/community-x86_64/PKGBUILD (from rev 438012, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-07 15:03:21 UTC (rev 438013)
@@ -0,0 +1,65 @@
+# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
+
+_target=aarch64-linux-gnu
+pkgname=$_target-binutils
+pkgver=2.32
+pkgrel=1
+pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
+arch=(x86_64)
+url='https://www.gnu.org/software/binutils/'
+license=(GPL)
+depends=(zlib)
+source=(https://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
+sha1sums=('ee5ae264f29c0c89fbaa817ee629675acd815d26'
+          'SKIP')
+validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93'  # Tristan Gingold <gingold at adacore.com>
+              '3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc at redhat.com>
+
+prepare() {
+  cd binutils-$pkgver
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+  cd binutils-$pkgver
+
+  if [ "${CARCH}" != "i686" ];
+  then
+    # enabling gold linker at i686 makes the install fail
+    enable_gold='--enable-gold'
+  fi
+
+  ./configure --target=$_target \
+              --with-sysroot=/usr/$_target \
+              --prefix=/usr \
+              --disable-multilib \
+              --with-gnu-as \
+              --with-gnu-ld \
+              --disable-nls \
+              --enable-ld=default \
+              $enable_gold \
+              --enable-plugins \
+              --enable-deterministic-archives
+
+  make
+}
+
+check() {
+  cd binutils-$pkgver
+
+  # unset LDFLAGS as testsuite makes assumptions about which ones are active
+  # do not abort on errors - manually check log files
+  make -k LDFLAGS="" check || true
+}
+
+package() {
+  cd binutils-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # Remove file conflicting with host binutils and manpages for MS Windows tools
+  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,windres,windmc}*
+
+  # Remove info documents that conflict with host version
+  rm -r "$pkgdir"/usr/share/info
+}


More information about the arch-commits mailing list